LLVM: lldb::SBCommandReturnObject Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBCommandReturnObject Class Reference

`#include <SBCommandReturnObject.h>`

## Public Member Functions
| SBCommandReturnObject ()
| SBCommandReturnObject (const lldb::SBCommandReturnObject &rhs)
| ~SBCommandReturnObject ()
const lldb::SBCommandReturnObject & | operator= (const lldb::SBCommandReturnObject &rhs)
| SBCommandReturnObject (lldb_private::CommandReturnObject *ptr)
lldb_private::CommandReturnObject * | Release ()
bool | IsValid () const
const char * | GetOutput ()
const char * | GetError ()
size_t | PutOutput (FILE *fh)
size_t | GetOutputSize ()
size_t | GetErrorSize ()
size_t | PutError (FILE *fh)
void | Clear ()
lldb::ReturnStatus | GetStatus ()
void | SetStatus (lldb::ReturnStatus status)
bool | Succeeded ()
bool | HasResult ()
void | AppendMessage (const char *message)
void | AppendWarning (const char *message)
bool | GetDescription (lldb::SBStream &description)
void | SetImmediateOutputFile (FILE *fh)
void | SetImmediateErrorFile (FILE *fh)
void | SetImmediateOutputFile (FILE *fh, bool transfer_ownership)
void | SetImmediateErrorFile (FILE *fh, bool transfer_ownership)
void | PutCString (const char *string, int len=-1)
size_t | Printf (const char *format,...) __attribute__((format(printf
size_t const char * | GetOutput (bool only_if_no_immediate)
const char * | GetError (bool only_if_no_immediate)
void | SetError (lldb::SBError &error, const char *fallback_error_cstr=nullptr)
void | SetError (const char *error_cstr)

## Protected Member Functions
lldb_private::CommandReturnObject * | operator-> () const
lldb_private::CommandReturnObject * | get () const
lldb_private::CommandReturnObject & | operator* () const
lldb_private::CommandReturnObject & | ref () const
void | SetLLDBObjectPtr (lldb_private::CommandReturnObject *ptr)

## Friends
class | SBCommandInterpreter
class | SBOptions

## Detailed Description

Definition at line 25 of file SBCommandReturnObject.h.

## Constructor & Destructor Documentation

lldb::SBCommandReturnObject::SBCommandReturnObject | ( |  | ) |

lldb::SBCommandReturnObject::SBCommandReturnObject | ( | const lldb::SBCommandReturnObject & | rhs | ) |

lldb::SBCommandReturnObject::~SBCommandReturnObject | ( |  | ) |

lldb::SBCommandReturnObject::SBCommandReturnObject | ( | lldb_private::CommandReturnObject * | ptr | ) |

## Member Function Documentation

void lldb::SBCommandReturnObject::AppendMessage | ( | const char * | message | ) |

void lldb::SBCommandReturnObject::AppendWarning | ( | const char * | message | ) |

void lldb::SBCommandReturnObject::Clear | ( |  | ) |

lldb_private::CommandReturnObject* lldb::SBCommandReturnObject::get | ( |  | ) | const
| protected

bool lldb::SBCommandReturnObject::GetDescription | ( | lldb::SBStream & | description | ) |

const char* lldb::SBCommandReturnObject::GetError | ( |  | ) |

const char* lldb::SBCommandReturnObject::GetError | ( | bool | only_if_no_immediate | ) |

size_t lldb::SBCommandReturnObject::GetErrorSize | ( |  | ) |

const char* lldb::SBCommandReturnObject::GetOutput | ( |  | ) |

size_t const char* lldb::SBCommandReturnObject::GetOutput | ( | bool | only_if_no_immediate | ) |

size_t lldb::SBCommandReturnObject::GetOutputSize | ( |  | ) |

lldb::ReturnStatus lldb::SBCommandReturnObject::GetStatus | ( |  | ) |

bool lldb::SBCommandReturnObject::HasResult | ( |  | ) |

bool lldb::SBCommandReturnObject::IsValid | ( |  | ) | const

lldb_private::CommandReturnObject& lldb::SBCommandReturnObject::operator* | ( |  | ) | const
| protected

lldb_private::CommandReturnObject* lldb::SBCommandReturnObject::operator-> | ( |  | ) | const
| protected

const lldb::SBCommandReturnObject& lldb::SBCommandReturnObject::operator= | ( | const lldb::SBCommandReturnObject & | rhs | ) |

size_t lldb::SBCommandReturnObject::Printf | ( | const char * | format,
|  |  | ...
| ) |  |

void lldb::SBCommandReturnObject::PutCString | ( | const char * | string,
|  | int | len = `-1`
| ) |  |

size_t lldb::SBCommandReturnObject::PutError | ( | FILE * | fh | ) |

size_t lldb::SBCommandReturnObject::PutOutput | ( | FILE * | fh | ) |

lldb_private::CommandReturnObject& lldb::SBCommandReturnObject::ref | ( |  | ) | const
| protected

lldb_private::CommandReturnObject* lldb::SBCommandReturnObject::Release | ( |  | ) |

void lldb::SBCommandReturnObject::SetError | ( | lldb::SBError & | error,
|  | const char * | fallback_error_cstr = `nullptr`
| ) |  |

void lldb::SBCommandReturnObject::SetError | ( | const char * | error_cstr | ) |

void lldb::SBCommandReturnObject::SetImmediateErrorFile | ( | FILE * | fh | ) |

void lldb::SBCommandReturnObject::SetImmediateErrorFile | ( | FILE * | fh,
|  | bool | transfer_ownership
| ) |  |

void lldb::SBCommandReturnObject::SetImmediateOutputFile | ( | FILE * | fh | ) |

void lldb::SBCommandReturnObject::SetImmediateOutputFile | ( | FILE * | fh,
|  | bool | transfer_ownership
| ) |  |

void lldb::SBCommandReturnObject::SetLLDBObjectPtr | ( | lldb_private::CommandReturnObject * | ptr | ) |
| protected

void lldb::SBCommandReturnObject::SetStatus | ( | lldb::ReturnStatus | status | ) |

bool lldb::SBCommandReturnObject::Succeeded | ( |  | ) |

## Friends And Related Function Documentation

friend class SBCommandInterpreter
| friend

Definition at line 94 of file SBCommandReturnObject.h.

friend class SBOptions
| friend

Definition at line 95 of file SBCommandReturnObject.h.

The documentation for this class was generated from the following file:

- SBCommandReturnObject.h